Bug 112205 - I/O warning : failed to load external entity "/usr/share/comps/x86_64/comps.xml"
I/O warning : failed to load external entity "/usr/share/comps/x86_64/comps.xml"
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: up2date (Show other bugs)
1.0
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-15 21:24 EST by Aleksey Nogin
Modified: 2007-04-18 13:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-11 03:08:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aleksey Nogin 2003-12-15 21:24:23 EST
Whenever I run "up2date -l", it prints the following warning on startup.

I/O warning : failed to load external entity
"/usr/share/comps/x86_64/comps.xml"
Damaged or Empty xml file error:
 xmlParseFile() failed

The directory /usr/share/comps does not even exist and according to
rpmdb-fedora ir is not even supposed to.

I am running up2date-4.3.1-2.x86_64 on Fedora Core Development x86_64
(fully up2date'd as of Dec 15, 2003).
Comment 1 Adrian Likins 2004-01-20 15:17:23 EST
I suspect this is it blowing up when it cant find 
a comps file. 

I don't think I ever added the bits to actually
make sure a comps file is available, so thats
probably the bug...

yup, fix in cvs, probabaly land in 4.3.9
Comment 2 Aleksey Nogin 2004-03-11 03:08:02 EST
Yes, the warning message is gone.

Note You need to log in before you can comment on or make changes to this bug.